#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xDC,0x76,0x17,0x56,0xDD,0x9E,0xEE,0xB2,0xCA,0x69,0xE9,0x58,
		0x8C,0xF2,0xF5,0x2D,0x99,0xD7,0x3E,0xF7,0x34,0x1F,0x63,0xA8,
		0x98,0xCC,0xB1,0x71,0x35,0xE4,0xB1,0xD4,0x20,0x37,0x1A,0xED,
		0x3F,0xA2,0x23,0x0E,0x4F,0x41,0x78,0x26,0x24,0x1E,0x32,0xA3,
		0xEF,0xCA,0xD6,0x55,0x4B,0xC2,0x2C,0x8A,0x58,0xEC,0xA0,0xD2,
		0x54,0xAA,0xC2,0x33,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
